Eclipse Platform Release 3.7

## org.eclipse.team.core.history.provider
Class FileHistoryProvider

    java.lang.Object
      org.eclipse.team.core.history.provider.FileHistoryProvider

All Implemented Interfaces:
  IFileHistoryProvider

    public abstract class FileHistoryProvider

extends Object
implements IFileHistoryProvider

Abstract FileHistoryProvider class.

Since:
  3.2
See Also:
  `IFileHistoryProvider`

Field Summary

Fields inherited from interface org.eclipse.team.core.history.IFileHistoryProvider
`NONE, SINGLE_LINE_OF_DESCENT, SINGLE_REVISION`

Constructor Summary
`FileHistoryProvider()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.team.core.history.IFileHistoryProvider
`getFileHistoryFor, getFileHistoryFor, getWorkspaceFileRevision`

Constructor Detail

### FileHistoryProvider

    public FileHistoryProvider()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.